### Name: mk.its.exceedances.tS
### Title: Extract Exceedances over a Threshold into Irregular Time Series
###   for Plotting when Input is TimeSeries
### Aliases: mk.its.exceedances.tS
### Keywords: ts methods

### ** Examples

data(sp500);
#Select data from the SP500 INDEX time series between 
#01/01/1998 and 12/31/2003 
index <- cut(sp500,"1998-01-01", "2003-12-31"); 
#Create a return time series using log differences. 
rseries <- mk.returns(index); 
kval <- 50; 
#set threshold so we have 50 observations above threshold 
#Find the threshold associated with the top 50 observations: 
upper <- findthreshold(rseries@Data ,kval) 
#Create an 'its' (irregular time series) associated with the 
#observations above the threshold 'upper'. 
itsSample <- mk.its.exceedances.tS(rseries,1,upper); 
#Plot the irregular time series of exceedances 
plot(itsSample,type="h", main="Clustering Evidence-S&P500 
       Index:1998-2003",ylab="Large Returns"); 
## Not run: 
##D  
##D #3rd stock in series of DJ 30 stocks from timeSeries DJ containing 
##D #all 30 stocks (not an index)
##D newSeries <- mk.returns(DJ); 
##D u3 <- findthreshold(newSeries@Data[,3],kval); 
##D #use 3rd column in Data slot 
##D itsSample2 <- mk.its.exceedances.tS(newSeries, 3, u3);  
##D #pass 3 for third column in Data slot 
##D plot(itsSample2,type="h", main="Clustering Evidence-DJ[,3]",
##D         ylab="Large Returns"); 
## End(Not run)



